#ifndef __kreslimit_h__
#define __kreslimit_h__


#include <kcmodule.h>
#include "model.h"
#include "ui_main.h"

class KReslimitConfig : public KCModule
{
    Q_OBJECT

public:

    KReslimitConfig(QWidget *parent, const QVariantList&);
    ~KReslimitConfig() override;

    void load() override;
    void save() override;
    void defaults() override;
    QString getPath(const QString);
    void inputClear();


    static const int DEFAULT_MEMSIZE;

protected Q_SLOTS:
    void appChooseDialog();
    void configChanged();
    void appAdd();
    void appRemove();
    void applyChange();
    void selectChange();

private:
    KReslimitTableModel *model;
    Ui::kreslimit ui;
};


#endif
