#include "model.h"
#include <klocalizedstring.h>

static const int COLUMN_COUNT = 2;
const int KReslimitTableModel::NAME_COLUMN = 0;
const int KReslimitTableModel::SIZE_COLUMN = 1;

KReslimitTableModel::KReslimitTableModel(QObject* parent): QAbstractTableModel(parent)
{

}

int KReslimitTableModel::columnCount(const QModelIndex&) const
{
    return COLUMN_COUNT;
}

int KReslimitTableModel::rowCount(const QModelIndex &/*parent*/) const
{
    return applist.size();
}

QVariant KReslimitTableModel::data(const QModelIndex &index, int role) const
{
    if(role == Qt::DisplayRole) {
        QVariant ret;
        QStringList record = applist.at(index.row()).split(";");
        switch(index.column()) {
            case NAME_COLUMN:
                ret = QVariant(record[0]);
                break;
            case SIZE_COLUMN:
                ret = QVariant(record[1].toInt());
                break;
        }
        return ret;
    } 
    return QVariant();
}

QVariant KReslimitTableModel::headerData(int section, Qt::Orientation orientation, int role) const
{
    if (role != Qt::DisplayRole) {
        return QVariant();
    }

    if (orientation == Qt::Horizontal) {
        const QString headers[] = {i18n("Application"), i18n("Limit size (MB)")};
        return headers[section];
    }

    return QVariant();
}

void KReslimitTableModel::refresh()
{
    beginResetModel();
    endResetModel();
}
